﻿using Hotline.Share.Enums.KnowledgeBase;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 编辑
    /// </summary>
    public record UpdateKnowledgeApplyDto : KnowledgeApplyDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
    }

    /// <summary>
    /// 新增
    /// </summary>
    public record KnowledgeApplyDto
    {
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        public EKnowledgeApplyType KnowledgeApplyType { get; set; }

        /// <summary>
        /// 申请处理部门编码
        /// </summary>
        public string DepartmentCode { get; set; }

        /// <summary>
        /// 申请处理部门名称
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 截止时间
        /// </summary>
        public DateTime? ExpiredTime { get; set; }
    }

   /// <summary>
   /// 知识申请详情
   /// </summary>
    public record DataKnowledgeApplyDto: UpdateKnowledgeApplyDto
    {
        /// <summary>
        /// 申请人
        /// </summary>
        public string CreationName { get; set; }

        /// <summary>
        /// 关联知识ID
        /// </summary>
        public string KBID { get; set; }

        /// <summary>
        /// 知识标题
        /// </summary>
        public string KBTitle { get; set; }
    }
}
